26 Replies Latest reply on Oct 24, 2017 4:48 PM by Richard Hennigan

    Sheetmetal Properties in drawings

    Damian Gillespie

      I have been trying to add the Sheetmetal properties into a drawing. In the help files it says the following.

       

      You can insert the cut list properties as an annotation when you insert a  flat pattern view of a sheet metal part in a drawing.

      To insert the cut list properties:

      1. In  the graphics area, right-click the flat pattern view and click Annotations > Cut List Properties.
      2. Click  to place the list in the graphics area.

       

      When I go there I don't have this option. Also i would like to have the option to attach these properties as notes to my drawings.

      Dose anyone have the anserw to this or are these new features not finished yet.

       

      Also, can you have  balloons on a weldments for the welding table item, I cant get this one either.

       

      Cheers

      Damian

        • Re: Sheetmetal Properties in drawings
          Kenneth Barrentine

          this is a feature of 2011 correct?

          i'm guessing not many users are using 2011 yet.

            • Re: Sheetmetal Properties in drawings
              Damian Gillespie

              Yes this is a new feature in 2011. As it turns out I have just recieved an outcome form my VAR and its not one I am happy with. See below

               

              DESCRIPTION: 
              Is  it possible to link a note on a drawing to a sheet metal cut list  property?

              RESOLUTION
              I  checked with SolidWorks Support and, unfortunately, this is not possible; it is  a current limitation of the software.

              I  recommend you submit an enhancement request via the SolidWorks Customer  Portal.

               

              Damian

            • Re: Sheetmetal Properties in drawings
              Damian Gillespie

              I have place an enhancement request if others would like to vote.

               

              1-1874603442

               

              Cheers

              Damian

              • Re: Sheetmetal Properties in drawings
                Damian Gillespie

                I have a resolve (sort of). It would seem that when you right click on the flat patter proper you cannot add the annotation. Yet if you right click within the view box of the flat patter you can add the annotation. You can then double click the properties and remove any details that you don't need. That's all you can do at this stage unless someone can use some API to get the info into separate notes. See my video below.

                Cheers

                Damian

                 

                  • Re: Sheetmetal Properties in drawings
                    Riccardo Mattioli

                    Great!

                     

                    Very useful, I didn't know that, but I'll try for sure!

                     

                    Riccardo

                      • Re: Sheetmetal Properties in drawings
                        Rita Kanow

                        If you are trying to show the sqft in a note using the bounding box, this is what I have come up with.

                         

                        • Sheet metal & plate parts need to be created as sheet metal parts, not extrude boss.  This is only way to have the Cut-List-Item listed.
                        • Go to Properties & under Custom create a new Property Name

                                     ex: SQFT Area, under Value / Text Expression enter "SW-Bounding Box Area@@@Cut-List-Item 1@SHEET SQFT EX.SLDPRT"

                        • In the drawing click the flatpattern to bring up Table options, choose Weldment Cut List & pick the check mark to place the table.
                        • Delete the columns not needed, leaving 1 column, click column to bring up Column Properties & select Cut List item property then select Bounding Box Area.  This will show the sqft of the flatpattern.  As long as the "SW-Bounding Box....."is listed in the Custom Properties of the part any one or all of these "Length, Width, Area" can be listed in the Table.

                         

                        I hope this helps answer the question asked.

                         

                        Now I have a question:  We have been looking for a way to show the amount of material needed per part to cut down the time of figuring out how much material needs to be ordered.  This does that to a point.  What the person who does all this needs is to include scrap.  He tells me what he needs is to have an added 2" to the length & the width of the parts then the sqft will be good.  Does anyone have or know of a macro or anything else that will do this for us?

                         

                        Thank you,

                        Rita

                          • Re: Sheetmetal Properties in drawings
                            Denny Metcalf

                            Rita Kanow wrote:

                             

                            We have been looking for a way to show the amount of material needed per part to cut down the time of figuring out how much material needs to be ordered.  This does that to a point.  What the person who does all this needs is to include scrap.  He tells me what he needs is to have an added 2" to the length & the width of the parts then the sqft will be good.  Does anyone have or know of a macro or anything else that will do this for us

                             

                            Hello Rita,

                            Sheet metal & plate parts need to be created as sheet metal parts, not extrude boss.  This is only way to have the Cut-List-Item listed.

                             

                            You can start with an extrude but you have to convert to sheet metal part afterwards.

                             

                            Go to Properties & under Custom create a new Property Name

                                         ex: SQFT Area, under Value / Text Expression enter "SW-Bounding Box Area@@@Cut-List-Item 1@SHEET SQFT EX.SLDPRT"

                             

                            Are you doing this at the part level, adding the custom property "SQFT Area" to the part's custom properties? If you are able to do this at the part level and get a value in the "Evaluated Value" field, then you're my new hero.

                             

                            This is what it looks like on my screen:

                            CustomProperties.jpg

                             

                            In the drawing click the flatpattern to bring up Table options, choose Weldment Cut List & pick the check mark to place the table.

                             

                            This is kind of the problem (at least for me). I've been trying to use the sheet metal properties like "SW-Bounding Box Area@@@Cut-List-Item 1@Example.SLDPRT" but I want to use them outside of the Weldment Tables. I want to be able to (please don't laugh too hard) link these values into my BOM/Parts List but they seem to be locked out. I don't want to have to put yet another table onto my drawings and it's ridulous that I have to manually enter them into a custom field on the BOM table.

                             

                            How do you want the macro to perform, as a button when you're viewing the drawing? If you want it to show up in the drawing inside of your custom table, just use the equation to define the table and add 2 to each value. Is that what you're trying to achieve?

                             

                            Now you've got me once again, fired up to get the software to do exactly what I want. Looks like I know what I'll be doing for a good portion of the morning tomerrow.

                              • Re: Sheetmetal Properties in drawings
                                Filipe Venceslau

                                Hey Denny,

                                 

                                I really like this idea of linking sheet metal properties throughout the document...I have done a series of testing a while back (when 2011 came out), and I couldn't figure out how to do it. I think this may not be possible as of yet, as these new sheet metal features seem to work in their own way, and only where solidworks intended them to.

                                 

                                Since I've seen many requests for this, I decided to drill down it a bit further...and there is a nasty way this can be done...which is with some background code running through the equation editor. This method has been used for other type of solutions throughout the forum quite a bit and you may have seen it already.

                                 

                                Here are some snapshots with notes...and a sample of how it's done...if you need me to explain in further detail, just let me know...

                                 

                                • First, we need a Dummy property (DummyProp), eventually this is where the code will go...but for now, the value should be set to 1 only (needs to be numeric, but the type can remain text)...
                                • For this example, I'm using a custom property I called BBArea (Bounding Box Area), which later on will be auto filled on rebuild, but for now just type any random value to evaluate the property...like "TEST" or something.

                                1.jpg

                                • Here, you can see how the property name is "Bounding Box Area", this is the name the code will be referencing to...

                                2.jpg

                                • Next you will want to add a dummy equation, which is what lets the code run in the background. So you just add an equation like so: "DummyEquation" = "DummyProp". This should be equal to 1 now.

                                3.jpg

                                 

                                • Now that we have the equation entered, you can go ahead and past the multi-line code into the "DummyProp", where the first line must be a numeric value (1 is what I like to go with).

                                 

                                Here's the sample code I used for this example...just copy and paste the whole thing right into the custom prop value field...

                                 

                                1
                                Dim sMgr As SelectionMgr
                                Set sMgr = Part.SelectionManager
                                Dim cpMgr As CustomPropertyManager
                                Set cpMgr = Part.Extension.CustomPropertyManager("")
                                Dim myFeature As Object
                                Part.Extension.SelectByID2 "Cut-List-Item1", "SUBWELDFOLDER", 0, 0, 0, False, 0, Nothing, 0
                                Set myFeature = sMgr.GetSelectedObject6(1, 0)
                                Dim SMcpMgr As CustomPropertyManager
                                Set SMcpMgr = myFeature.CustomPropertyManager
                                Dim BBArea As String
                                SMcpMgr.Get2 "Bounding Box Area", "", BBArea
                                cpMgr.Set "BBArea", BBArea
                                
                                
                                

                                 

                                4.jpg

                                 

                                • Once that's all done...you're ready to rebuild your model...and take a look at your properties...the BBArea property should automatically be set to the right value...and every time you rebuild this will be updated.

                                 

                                5.jpg

                                 

                                So, in conclusion...this gets the job done...but you may see yourself into more grief than anything. This type of solution will give you headaches if you're already working with equations, since there are a few glitches and solidworks will easily crash. One thing you don't want to do for sure (at least on my system) is right click on the equation folder and point to "edit equation"...that'll crash your system, since it does not want to evaluate the code in the dummy equation (this is why we only added the code after the equation...so it could properly evaluate just the 1)...you're better off just selecting "Add Equation" and then canceling the pop-up window back into the equation editor.

                                 

                                To do this for various values...just add to the code...(with the Set function your custom property will have to exist already...)

                                 

                                 

                                Dim BBArea, Bends As String
                                SMcpMgr.Get2 "Bounding Box Area", "", BBArea
                                SMcpMgr.Get2 "Bounding Box Area", "", Bends
                                cpMgr.Set "BBArea", BBArea
                                cpMgr.Set "Bends", Bends
                                

                                 

                                 

                                I hope this helps someone out...or at least gives you some ideas...

                                 

                                Cheers

                                 

                                Filipe

                                  • Re: Sheetmetal Properties in drawings
                                    Denny Metcalf

                                    Filipe Venceslau wrote:

                                     

                                    This type of solution will give you headaches if you're already working with equations, since there are a few glitches and solidworks will easily crash. One thing you don't want to do for sure (at least on my system) is right click on the equation folder and point to "edit equation"...that'll crash your system, since it does not want to evaluate the code in the dummy equation (this is why we only added the code after the equation...so it could properly evaluate just the 1)...you're better off just selecting "Add Equation" and then canceling the pop-up window back into the equation editor.

                                     

                                    Hello Filipe,

                                     

                                    I suppose if you want to do this you should customize the right click menu for equations and take off "edit equation."

                                     

                                    I'm at the point now where I want to stay away from equations as much as possible for the more serious work. They're very nice and very versatile and it seems that lots of new functionality has gone into the equation manager but from what I've experienced first hand... it's slow, unstable and causes a lot of problems.

                                     

                                    You wern't kidding about this being a dirty solution. I'd hate to have to put something like this into an unstable sheet metal template, which would already have a some base geometry that may or may not be oriented the way you'd want it to be...

                                     

                                    I'll pass, but thank you for the suggestion. Mr. Perry keeps telling me, "don't stop believin'..."

                                      • Re: Sheetmetal Properties in drawings
                                        Filipe Venceslau

                                        Hey Denny,

                                         

                                        Yes, the right click menu tweak would work good! I'm not looking forward to implementing this into any of my parts though...I don't like it...too dirty. lol

                                        I like to stay away from equations too actually...I've had my share of problems with them, and until now, never really needed them (especially since I have driveworks).

                                         

                                        The next option you have, is to use a feature macro...and have it traverse the model, look for cut-list items and collect/copy the properties into your custom properties automatically on rebuild. You could have this feature macro embedded into your part template, but I'm not 100% sure where the code would have to sit (I believe the feature would reference to an external macro, which you would most likely want to locate on a network location).

                                         

                                        Cheers

                                          • Re: Sheetmetal Properties in drawings
                                            Denny Metcalf

                                            Filipe Venceslau wrote:

                                             

                                            The next option you have, is to use a feature macro...and have it traverse the model, look for cut-list items and collect/copy the properties into your custom properties automatically on rebuild. You could have this feature macro embedded into your part template, but I'm not 100% sure where the code would have to sit (I believe the feature would reference to an external macro, which you would most likely want to locate on a network location)

                                             

                                            Olá Filipe,

                                             

                                            I think it might be simplier to just make a macro button that references the active document. That way you don't have to worry about file naming since references don't matter and we're only looking at one part at a time. Then you can leave the existing templates alone, your existing files are not obsolete, and you can update them as you go. I think maybe if I have some time I will make something quick.

                                             

                                            I don't want to go too crazy with a default sheet metal template because, and please correct me if I'm wrong, you have to make a base feature before you can even make it into a sheet metal part. I don't want to have a starting sheet metal template that has a dummy base flange already in it because it's a hassle if I want to instead start with a thin feature (is that the correct terminology), I want to orient it on a different plane or perhaps I want to start modeling from somewhere other than the origin. I don't mind too much if I have to copy/paste a few lines of code in every model because I'm constantly running a Windows based macro handler that can just input such things for me from keyboard shortcuts, but I can't expect that other users will accept this solution and frankly I don't want them to be running such a volitile application. Such repetitive things should be in a template, but SolidWorks is not making it simple.

                                             

                                            Unfortunately I'm limited here with the tools that I can use due to licensing. I really want to get a license of Visual Studio and take advantage of the SolidWorks API SDK (I'm assuming it's pretty decent) and not be limited to VB6. DriveWorks sounds nice as well as all of the simulation and PDM stuff, and would certainly solve many of the problems that we are facing... or possibly make things more complicated. Muito caro... $$$

                                              • Re: Sheetmetal Properties in drawings
                                                Filipe Venceslau

                                                Olá Denny! lol...Falas Portugues?

                                                 

                                                If you only deal with one part at a time, then a macro for the active document sounds like a viable solution...!

                                                 

                                                As for a Visual Studio seat...why not just get the Express edition? That's what I'm using...and I've developed a whole application with it...using SW API, and it works just fine...there are a few limitations here and there...but overall, it get's the job done. At least I'm happy with it.

                                                 

                                                Driveworks it pretty "Caro", and even though it has it's limitations too...it can be setup to be an amazing tool and huge time saver.

                                                 

                                                Cumprimentos!

                                                  • Re: Sheetmetal Properties in drawings
                                                    Denny Metcalf

                                                    Filipe Venceslau wrote:

                                                     

                                                    Olá Denny! lol...Falas Portugues?

                                                     

                                                    If you only deal with one part at a time, then a macro for the active document sounds like a viable solution...!

                                                     

                                                    As for a Visual Studio seat...why not just get the Express edition? That's what I'm using...and I've developed a whole application with it...using SW API, and it works just fine...there are a few limitations here and there...but overall, it get's the job done. At least I'm happy with it.

                                                     

                                                    Driveworks it pretty "Caro", and even though it has it's limitations too...it can be setup to be an amazing tool and huge time saver.

                                                     

                                                    Cumprimentos!

                                                     

                                                    I suppose technically I could use the express edition if I keep it simple and since I'm not selling anything. The scope of license states that you cannot use the express edition for commercial software hosting services or deploy it onto a server for stand alone access by other users. Okay... I'm answering my own questions here, and there's no one else at my company with programming experiance.

                                                     

                                                    Bom conselho

                                            • Re: Sheetmetal Properties in drawings
                                              Richard Hennigan

                                              Denny, the code works great in the custom tab but how do I get the code to work correctly in the configuration specific tab . I assume it needs to be modified.

                                               

                                               

                                              Thanks,

                                              Rich.

                                            • Re: Sheetmetal Properties in drawings
                                              Rita Kanow

                                              Hello Danny,

                                               

                                              I find it easier to always start with a sheet metal part then turning an extruded part into a sheet metal one & it makes my life easier if I get the guys to become more consistant by just making it a rule to follow.

                                               

                                               

                                               

                                              Denny Metcalf wrote:

                                               

                                              Are you doing this at the part level, adding the custom property "SQFT Area" to the part's custom properties? If you are able to do this at the part level and get a value in the "Evaluated Value" field, then you're my new hero.

                                               

                                               

                                              1st, thanks for the hero comment, I've not been called that before, I think I like the sound of that.

                                               

                                              I do add the custom property "SQFT Area" at the part level.  I have been playing with it in a test part, this is what I came up with.  If I change the size of the part the SQFT will change on my drawing.  Very similar to if I use a length custom property, change the length of a tube, it will update as well.  Very handy.  The one difference between these two is on the length I can add a column to the BOM in an assembly, but I can't add the SQFT Area to the BOM.  I think the reason is in the Drawing View Properties the Display bounding box is grey so it can't be checked, not sure.

                                               

                                               

                                               

                                              SQFT Area custom props.jpg

                                               

                                               

                                              Denny Metcolf wrote:

                                               

                                              How do you want the macro to perform, as a button when you're viewing  the drawing? If you want it to show up in the drawing inside of your  custom table, just use the equation to define the table and add 2 to  each value. Is that what you're trying to achieve?

                                               

                                              I would like to be able to just have it show somewhere on the drawing that is easy for our manufacturing guy to find and would love it if we didn't have to add a table at all, but this is only way I have come up with at this point.  I have tried to add an equation, but without success, it might be my mess up.  I tried adding it to the SQFT Area column, not the length & width, that might be why.  Before SW 2011 added the bounding box deal we added a little excel table with the scrap (adding in the 2" to width & height into the area +scrap, near bottom of title block).  We had to enter the width & height by hand, if the part changed we had to reenter those again leavign room for error.  Bad things, error!  See drawing, not all our properties are filled in since this is just a test part:

                                               

                                              SQFT Area cp drawing.jpg

                                              Let me know what you come up with.  Thanks for the questions & answeres, it's been a great help.

                                               

                                              Rita

                                                • Re: Sheetmetal Properties in drawings
                                                  Denny Metcalf

                                                  Rita Kanow wrote:

                                                   

                                                  I do add the custom property "SQFT Area" at the part level.  I have been playing with it in a test part, this is what I came up with.  If I change the size of the part the SQFT will change on my drawing.  Very similar to if I use a length custom property, change the length of a tube, it will update as well.  Very handy.  The one difference between these two is on the length I can add a column to the BOM in an assembly, but I can't add the SQFT Area to the BOM.  I think the reason is in the Drawing View Properties the Display bounding box is grey so it can't be checked, not sure.

                                                  SQFT Area custom props.jpg

                                                   

                                                   

                                                  Hello Rita,

                                                   

                                                  Note that in your uploaded screen capture, the "Evaluated Value" field is showing the text that you entered into the "Value / Text Expression" field. This is the same behavior that I am experiancing and am looking for a solution to but it looks like Cut List Properties can only be accessed specifically through Cut List specific methods.

                                                   

                                                  When I try to insert a general table attached to the part in a drawing, the only thing I get is that string ("SW-Bounding Box Length@@@Cut-List-Item1@PartName.sldprt") to show up. The same thing happens when I try to make do it in the BOM table. The same thing shows up in the part's custom properties in both your and my screen captures.

                                                   

                                                  I can only access the Cut List Properties through a Weldment Cut List Table in the drawing, just as I can only access the Cut List Properties by going specifically to the Cut List Properties menu in the part, as opposed to the normal way where both the custom and configuration specific properties are located, which can also be set up using the Property Tab Builder.

                                                  tableversions.jpg

                                                  Rita, I misunderstood what you were saying in your previous post. I thought you had achieved accessing the Cut List Properties using a General Table. Looks like I'm still out of luck to be able to do what I need.

                                                   

                                                  Now that we're on the same page let me give you ideas to think about that might save you some time:

                                                  • You do not have to set up part level redundant Cut List Properties in the Custom Properties as you are doing. Currently they are worthless and we have both demonstrated that you cannot get it to evaluate to anything other than displaying a string. (The picture that you posted and I quoted, stop doing that.)
                                                  • You do not have to show a flat pattern to get access to a Weldment Cut List Table. Just click on the "Tables" button and choose "Weldment Cut List Table" and when it asks for a reference, just click on the sheet metal Drawing View. Showing a flat pattern is a good idea anyway though.
                                                  • You do not have to keep deleting the columns in the Weldment Cut List Table everytime you place one. Set up your table the way you want with the columns that you want and then right click it, and save it as a Template. Next time you want to place a weldment cut list table just load the template, really simple.
                                                  • You can use the table just like it is excel and set up an equation to do what you want to do

                                                  equationtable.jpg

                                                  Once you set up the table that you want, save it as a Template. The next time you want to do this, it's literally only about 6 clicks, no macro necessary.

                                                  What I want to do is access these Cut List Properties in something OTHER than the Weldment Cut List Table.

                                                   

                                                  Rita Kanow wrote:

                                                   

                                                  The one difference between these two is on the length I can add a column to the BOM in an assembly, but I can't add the SQFT Area to the BOM.  I think the reason is in the Drawing View Properties the Display bounding box is grey so it can't be checked, not sure.

                                                   

                                                  What do you mean by this, I don't understand.

                                                   

                                                  The "display bounding box" simply shows the bounding box sketch in the drawing view, that's it. It shouldn't have anything to do with properties.

                                                    • Re: Sheetmetal Properties in drawings
                                                      Denny Metcalf

                                                      Denny Metcalf wrote:

                                                       

                                                      I can only access the Cut List Properties through a Weldment Cut List Table in the drawing, just as I can only access the Cut List Properties by going specifically to the Cut List Properties menu in the part, as opposed to the normal way where both the custom and configuration specific properties are located, which can also be set up using the Property Tab Builder.

                                                      tableversions.jpg

                                                       

                                                      There is one way but it requires a lot of manual entry...

                                                       

                                                      If i place an "Indented" BOM table I have the option to display the "Detailed Cut List" which does what it's supposed to do, but isn't what I want. Then I have to manually update the "Cut List Properties" in every single configuration and every single part file and without the use of the beloved Property Tab. The "Cut List Properties" only work for the cut list items which by default have a "description" of "sheet." Then I have to delete or hide all of the rows that are not cut list items, which feels very counter-intuitive.

                                                       

                                                      Of course, that's a horrible way of doing things.

                                                      • Re: Sheetmetal Properties in drawings
                                                        Rita Kanow

                                                        Hello Denny,

                                                         

                                                        I know the "Value / Text Expression" & the "Evaluated Value" fields sow the same text.  I'm not sure why it works for me, it doesn't make sense because it shouldn't work.  I have tried to add the add the weldment cut list table without having something in the custom properties in the part, but nothing would be there to select.

                                                         

                                                        I know once I have the weldment cut list table the way I want it I can save a template, I just don't see any reason to do that until I have one that works the way I need it to, these are just tests at this point.

                                                         

                                                        Your example of the sqft adding scrap is not what I'm looking for.  I need the sqft to reflect the 2" added to the length & width.

                                                         

                                                        If I did something wrong I'm sorry.  I have posted a few questions from time to time, but never have used the quoting or added images to any of my posts or replies.

                                                         

                                                        The company I work for has been using SW for the past few years, but not to it's fullest.  I have had to deal with a department that has a lot of bad habits & I'm doing my best to change that.  Best practices is not something most of them have worried about & it's like pulling teeth to get things throug to them.  If you have anything suggestions I am open to advise.  I have been pushing to get PDM & it looks like that might finally happen.  I noticed one of your posts with Filipe you mentioned PDM.  Were you thinking PDM might help with this type of issues?

                                                         

                                                        Thank you for your help & patience,

                                                         

                                                        Rita

                                                         

                                                        Again, sorry if I am being a pain

                                                          • Re: Sheetmetal Properties in drawings
                                                            Denny Metcalf

                                                            Rita Kanow wrote:

                                                             

                                                            Your example of the sqft adding scrap is not what I'm looking for.  I need the sqft to reflect the 2" added to the length & width.

                                                             

                                                            Hello Rita,

                                                             

                                                            Just take it a step further to get your area.

                                                             

                                                            As far as the mathematics are concerned... If you know the Area only, you can't add 2" to an unknown length and an unknown width to get a new Area. That's why I suggested that you use the Length and Width, since that's what SolidWorks is using anyway to provide you with the Area.

                                                             

                                                            In my quick example I showed how you could take the original length column and then get a new length column that was 2" larger. Then I did the same thing with the width to get a new width column that was 2" larger. The formula is just like in Excel, take the cell address and add 2" to it

                                                            EquationTable.jpg

                                                             

                                                            Just take it a step further and make another column called "Area with Scrap" and multiply the values from "Length with Scrap" and "Width with Scrap.

                                                            EquationTableArea.jpg

                                                             

                                                            Please take notice of how I made the columns... Notice the formula, it's just like Excel.

                                                             

                                                            Now lets take it a step further and make it simpler to show on a drawing:

                                                            EquationTableHidden.jpg

                                                             

                                                            Notice that the equations still work even though I hid original default columns. Do not delete them, just hide them. This is what you want to save as your template!

                                                             

                                                            Now every time you make a drawing, you can just click on the view of the part, then click: [Insert] > [Tables] > [Weldment Cut List]. Load the table template and there you go you're all set. If you want to get really snazzy, establish table anchors into your drawing templates so that you don't even have to drag the table to the location you want, SolidWorks will do it for you!

                                                             

                                                            6 Clicks.

                                                             

                                                             

                                                            Rita Kanow wrote:

                                                             

                                                            I know the "Value / Text Expression" & the "Evaluated Value" fields sow the same text.  I'm not sure why it works for me, it doesn't make sense because it shouldn't work.  I have tried to add the add the weldment cut list table without having something in the custom properties in the part, but nothing would be there to select

                                                             

                                                            That's really interesting because I made the above example without adding anything to the Custom Properties to try and get them to point to the Cut List Properties. There are 21 Custom Properties in there and 6 Configuration Specific Properties as well, but nothing that has anything to do with trying to access the Cut List Properties. They're just in there from the templates that I developed. No funny business, I swear!

                                                             

                                                             

                                                            Rita Kanow wrote:

                                                             

                                                            The company I work for has been using SW for the past few years, but not to it's fullest.  I have had to deal with a department that has a lot of bad habits & I'm doing my best to change that.  Best practices is not something most of them have worried about & it's like pulling teeth to get things throug to them.  If you have anything suggestions I am open to advise.  I have been pushing to get PDM & it looks like that might finally happen.  I noticed one of your posts with Filipe you mentioned PDM.  Were you thinking PDM might help with this type of issues

                                                             

                                                            Again, sorry if I am being a pain

                                                             

                                                            Rita you're not being a pain. We're just misunderstanding each other I think.

                                                             

                                                            I wanted to give you a push towards the right direction of what I thought you were trying to achieve, but I didn't want to actually do it for you. Hopefully you can follow along and see why the program acts the way it does, and so forth and come up with your own solutions to other problems in the future. That and um... I have my own job to do.

                                                             

                                                            I'm the SolidWorks developer and administrator here at my company and thus far, the only active user. I'm trying to get everything set up so that I can deploy it onto all of the designer's workstations and into the production process conducive to a low learning curve and a smooth transition from AutoCAD 2000. Unfortunately I don't have anything beyond the base SolidWorks license so I don't really know how valuable their PDM solution is. Possibly in the future, once I've gotten everyone migrated I can get a seat.

                                                             

                                                            Don't hesitate to tell me that this isn't what you're looking for, by the way.

                                                              • Re: Sheetmetal Properties in drawings
                                                                Rita Kanow

                                                                Hello Denny,

                                                                 

                                                                Thank you for the push in the right direction.  I prefer that then someone else doing it all for me, it is a better way to learn.  Someitmes I over think it, then get myself messed up

                                                                 

                                                                Here's a little pointer for you on the transition from Autocad 2000 to SW.  We did that in 2006.  It took us about 6 months to get all the guys here to start using it, because they don't deal with change well.

                                                                 

                                                                One of the biggest problems we had was the structure of the parts, assemblies and drawings.  It is best to try to have that structure decided on before hand, it will save on a mess later on.  If you are not going with a project based structure keep it in mind.  We are talking about going that direction finally, much better then the way we are doign it now.  One thing to keep in mind is if you plan to use a SW Tool Box to save parts shared between users, ex: bearings or sprockets, it is best to have everyone use the same Tool Box.  We have a Server Tool Box which all fo us access.  If it is on a user's local drive the parts won't show up in assemblies for other users unless those users are linked to each others computers, causing another mess.  A low learning curve will be helpful & the smoother the transition the better for everyone

                                                                 

                                                                Good luck with the transistion,

                                                                 

                                                                Rita

                                                • Re: Sheetmetal Properties in drawings
                                                  james demarco

                                                  Can anyone tell me why I am not able to edit my cut list table, or get any of the cut-list properties to show?? As an example if I add a weldment cutlist to my drawing, and update a cell to

                                                  "SW-Bend Allowance@@@Cut-List-Item1@227876.SLDPRT"

                                                  I only get the above text within the cell...

                                                   

                                                  2011 SP 3.0

                                                  • Re: Sheetmetal Properties in drawings
                                                    Lyndon Crossman

                                                    Here is what I have thrown together based on info from other posts on here.

                                                     

                                                    The user still has to right-click on Cut-List-Item1 and click properties, otherwise none of the custom property fields values get populated.

                                                     

                                                    Cut List Item properties are only updated when the user performs above action.

                                                     

                                                     

                                                    Sub AddCustomProps()

                                                     

                                                     

                                                     

                                                     

                                                    Dim swApp As SldWorks.SldWorks

                                                    Dim swModel As ModelDoc2

                                                    Dim swModelDocExt As ModelDocExtension

                                                    Dim swCustProp As CustomPropertyManager

                                                     

                                                     

                                                    Dim val As String

                                                    Dim valout As String

                                                    Dim bool As Boolean

                                                    Dim evalStatus As Long

                                                     

                                                     

                                                    updateCutlist

                                                     

                                                     

                                                    Set swApp = Application.SldWorks

                                                    Set swModel = swApp.activedoc

                                                    If swModel.GetType = swDocPART Then

                                                       

                                                       

                                                        Set swModelDocExt = swModel.Extension ' Get the custom property data

                                                        Set swCustProp = swModelDocExt.CustomPropertyManager("")

                                                        Dim sMgr As SelectionMgr

                                                        Set sMgr = swModel.SelectionManager

                                                        Dim cpMgr As CustomPropertyManager

                                                        Set cpMgr = swModel.Extension.CustomPropertyManager("")

                                                        Dim myFeature As Object

                                                        swModel.Extension.SelectByID2 "Cut-List-Item1", "SUBWELDFOLDER", 0, 0, 0, False, 0, Nothing, 0

                                                       

                                                        Set myFeature = sMgr.GetSelectedObject6(1, 0)

                                                        Dim SMcpMgr As CustomPropertyManager

                                                       

                                                       

                                                        Set SMcpMgr = myFeature.CustomPropertyManager

                                                        Dim BBArea As String

                                                        Dim BBLength As String

                                                        Dim BBWidth As String

                                                        Dim Myval As String

                                                       

                                                        bool = swCustProp.Add2("Die", swCustomInfoType_e.swCustomInfoText, "***")

                                                        bool = swCustProp.Add2("Length", swCustomInfoType_e.swCustomInfoText, "")

                                                        bool = swCustProp.Add2("Width", swCustomInfoType_e.swCustomInfoText, "")

                                                        bool = swCustProp.Add2("Area", swCustomInfoType_e.swCustomInfoText, "")

                                                        bool = swCustProp.Add2("Gauge", swCustomInfoType_e.swCustomInfoText, "***")

                                                        bool = swCustProp.Add2("Thickness", swCustomInfoType_e.swCustomInfoText, Chr(34) & "Thickness@part1.sldprt" & Chr(34))

                                                        bool = swCustProp.Add2("MacroCall", swCustomInfoType_e.swCustomInfoText, "1")

                                                       

                                                        'SMcpMgr.Get2 "Bounding Box Area-blank", "", BBArea

                                                        'SMcpMgr.Get2 "Bounding Box Length", "", BBLength

                                                        'SMcpMgr.Get2 "Bounding Box Width", "", BBWidth

                                                        'cpMgr.Set "Area", Round(CDbl(BBArea / 144), 3)

                                                        'cpMgr.Set "Length", Round(CDbl(BBLength), 3)

                                                        'cpMgr.Set "Width", Round(CDbl(BBWidth), 3)

                                                       

                                                        'Attempt at getting custprops to automatically update using equation editor trick

                                                        'https://forum.solidworks.com/thread/39446

                                                       

                                                             Dim MyEqu    As SldWorks.EquationMgr

                                                             Set MyEqu = swModel.GetEquationMgr

                                                             Dim lvalue As Long

                                                             lvalue = MyEqu.Add2(-1, Chr(34) & "MacroEq" & Chr(34) & "=" & Chr(34) & "MacroCall" & Chr(34), False)

                                                             evalStatus = MyEqu.EvaluateAll

                                                           Set MyEqu = Nothing

                                                            swModel.ForceRebuild

                                                           ' bool = swCustProp.Delete("MacroCall")

                                                       

                                                       

                                                          

                                                            bool = swCustProp.Set("MacroCall", "1" & vbNewLine & _

                                                                    "Dim sMgr As SelectionMgr" & vbNewLine & _

                                                                    "Set sMgr = Part.SelectionManager" & vbNewLine & _

                                                                    "Dim cpMgr As CustomPropertyManager" & vbNewLine & _

                                                                    "Set cpMgr = Part.Extension.CustomPropertyManager("""")" & vbNewLine & _

                                                                    "Dim myFeature As Object" & vbNewLine & _

                                                                    "Part.Extension.SelectByID2 ""Cut-List-Item1"", ""SUBWELDFOLDER"", 0, 0, 0, False, 0, Nothing, 0" & vbNewLine & _

                                                                    "Set myFeature = sMgr.GetSelectedObject6(1, 0)" & vbNewLine & _

                                                                    "Dim SMcpMgr As CustomPropertyManager" & vbNewLine & _

                                                                    "Set SMcpMgr = myFeature.CustomPropertyManager" & vbNewLine & _

                                                                    "Dim BBArea As String" & vbNewLine & _

                                                                    "Dim BBLength As String" & vbNewLine & _

                                                                    "Dim BBWidth As String" & vbNewLine & _

                                                                    "SMcpMgr.Get2 ""Bounding Box Area"","""", BBArea" & vbNewLine & _

                                                                    "SMcpMgr.Get2 ""Bounding Box Length"", """", BBLength" & vbNewLine & _

                                                                    "SMcpMgr.Get2 ""Bounding Box Width"", """", BBWidth" & vbNewLine & _

                                                                    "cpMgr.Set ""Area"", Round(CDbl(BBArea)/144, 3)" & vbNewLine & _

                                                                    "cpMgr.Set ""Length"", Round(CDbl(BBLength), 3)" & vbNewLine & _

                                                                    "cpMgr.Set ""Width"", Round(CDbl(BBWidth), 3)")

                                                                   

                                                       

                                                         

                                                        swModel.ForceRebuild

                                                       

                                                         Set swModel = Nothing

                                                         Set swApp = Nothing

                                                    Else

                                                        MsgBox ("Please open Part you want to update properties for and re run macro")

                                                       

                                                    End If

                                                    End Sub

                                                    Sub updateCutlist()

                                                    Dim swApp As Object

                                                    Dim swModel As Object

                                                    Dim feature As Object

                                                    Dim folder As Object

                                                    Dim swFeatMgr As Object

                                                     

                                                     

                                                    Set swApp = Application.SldWorks

                                                    Set swModel = swApp.activedoc

                                                    Set feature = swModel.FirstFeature

                                                    Set swFeatMgr = swModel.FeatureManager

                                                    While Not feature Is Nothing

                                                        If feature.GetTypeName2 = "SolidBodyFolder" Then

                                                            Debug.Print feature.Name & "    " & feature.GetTypeName2

                                                            Set folder = feature.GetSpecificFeature2

                                                            folder.SetAutomaticCutList (True)

                                                            If Not folder Is Nothing Then

                                                                If folder.updateCutlist Then

                                                                   

                                                                    Debug.Print "   " & feature.Name & " Updated"

                                                                    Exit Sub

                                                                End If

                                                            End If

                                                        End If

                                                        Set feature = feature.GetNextFeature

                                                    Wend

                                                     

                                                     

                                                    End Sub

                                                    • Re: Sheetmetal Properties in drawings
                                                      Andries Koorzen

                                                      Hi Damian. Not sure if you'd like to mark this post as answered... seems there's been quite some activity. If not, have a look at this post

                                                       

                                                      http://mecadsystems.wordpress.com/2012/10/25/sheetmetal-dimensions/

                                                      • Re: Sheetmetal Properties in drawings
                                                        Jeffrey Arch

                                                        Hi All

                                                         

                                                        I have been playing around with this issue and have a work around which will assist a few people when working in a standard bill of materials

                                                        It is not fully automatic to update, but updating possible:-

                                                         

                                                        1] Create the bounding box or if in sheetmetal, unsupress / show the bounding box in Flat-pattern

                                                        2] Click Smart Dimension followed by reference dimension

                                                        3] Apply dimensions to bouinding box

                                                        4] Click File, Properties and then the appropriate value / Text Expression box you want the dimension to appear in

                                                        5] Click on the required reference dimension

                                                        6] Dimension appears in the required box

                                                        7] Click OK

                                                        8] Return to your drawing and your bounding box dimension should appear in the BOM as required

                                                         

                                                        WARNING

                                                        Amending the part will not amend your BOM dimension

                                                        You must update the cut list for your part

                                                         

                                                        Regards : Jeff